<?php
require "racs.php";
require "vtshowsBBB.php";
session_start();

if(!isset($_SESSION['titles']) || !isset($_SESSION['positions'])|| !isset($_SESSION['usernames'])){
header("location:index.php");
}
?>

<html>
<title>Focus Product Movement</title>

<head>
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.min.css" />
<link rel="stylesheet" type="text/css" media="all" href="jsDatePick_ltr.css" />
<script type="text/javascript" src="jsDatePick.min.1.3.js"></script>
<script src="datesps.js"></script>

<link rel="stylesheet" type="text/css" href="vtxstyles.css">
<script>

function scopys(pr)
{
var dts=document.getElementById("dt");

var sels=window.getSelection();
sels.removeAllRanges();
var ranges=document.createRange();
ranges.selectNodeContents(dts);
sels.addRange(ranges);
document.execCommand("copy");
alert("Copied - successfull");
sels.removeAllRanges();
}


function srgs(pr)
{
var sv=document.getElementById('srctxt').value.toLowerCase();
var dt=document.getElementById('dt');
var rn=dt.rows.length;

for(var cnt=1;cnt<rn-1;cnt++){
tvl=dt.rows[cnt].cells[0].innerText.toLowerCase();
rvl=dt.rows[cnt].cells[1].innerText.toLowerCase();
if(sv.length>1 && (tvl.indexOf(sv)>=0 || rvl.indexOf(sv)>=0)){
dt.rows[cnt].style.display='table-row';}
else{
dt.rows[cnt].style.display='none';}
if(sv.length<=1){
dt.rows[cnt].style.display='table-row';}	
}

}


</script>


</head>

<body style='font-family:calibri;font-size:small;'>

<div style='width=30%;height:100%%;'>

<?php


$flt=racs(1);

if($flt=="access failed"){
printf("<div style='font-color:red;'>>Access failed\nContanct Sales and Marketing division</div>");
}
else{

$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_dianaold");


if(isset($_REQUEST['starts'])){
$starts=$_REQUEST['starts'];}
else{
$starts=date('Y-m-01');}

if(isset($_REQUEST['ends'])){
$ends=$_REQUEST['ends'];}
else{
$ends=date('Y-m-t');}

if(isset($_REQUEST['zones'])){
$zones=$_REQUEST['zones'];}
else{
$zones='all';}

if(isset($_REQUEST['regions'])){
$regions=$_REQUEST['regions'];}
else{
$regions='all';}

if(isset($_REQUEST['agents'])){
$agents=$_REQUEST['agents'];}
else{
$agents='all';}

if(isset($_REQUEST['terrys'])){
$terrys=$_REQUEST['terrys'];}
else{
$terrys='all';}

if(isset($subregions)){
$subregions=$_REQUEST['subregions'];}
else{
$subregions='all';}

if(isset($_REQUEST['agenttypes'])){
$agenttypes=$_REQUEST['agenttypes'];}
else{
$agenttypes='all';}

if(isset($_REQUEST['items'])){
$items=$_REQUEST['items'];}
else{
$items='all';}

if(isset($_REQUEST['ranges'])){
$ranges=$_REQUEST['ranges'];}
else{
$ranges='all';}

if(isset($_REQUEST['subranges'])){
$subranges=$_REQUEST['subranges'];}
else{
$subranges='all';}

if(isset($_REQUEST['dbids'])){
$dbids=$_REQUEST['dbids'];}
else{
$dbids='all';}

#$flt=racs(1);

if(strtolower($zones)!='all'){
$flt=$flt." and zones='".$zones."' ";}
if(strtolower($regions)!='all'){
$flt=$flt." and regions='".$regions."' ";}
if(strtolower($subregions)!='all'){
$flt=$flt." and sub_regions='".$subregions."' ";}
if(strtolower($agents)!='all'){
$flt=$flt." and agent_names='".$agents."' ";}
if(strtolower($dbids)!='all'){
$flt=$flt." and group_dbid='".$dbids."' ";}
if(strtolower($agenttypes)!='all'){
$flt=$flt." and agent_types='".$agenttypes."' ";}
if(strtolower($terrys)!='all'){
$flt=$flt." and territory_names='".$terrys."' ";}
if(strtolower($items)!='all'){
$flt=$flt." and item_names='".$items."' ";}
if(strtolower($ranges)!='all'){
$flt=$flt." and item_ranges='".$ranges."' ";}
if(strtolower($subranges)!='all'){
$flt=$flt." and sub_ranges='".$subranges."' ";}


stps('pr');
printf("<div class='sds'>");
rdentrydash(1);
printf("</div>");


printf("<div class='mnf'>");

printf("<div style='font-size:16;color:#006699;border-bottom:1px solid silver;width:30%%;'>Agent - Performance</div>");

$tv=0;
$tz=0;
$arr=array();

printf("<BR><BR>");
$sprt="&zones=".$zones."&regions=".$regions."&subregions=".$subregions."&agents=".$agents."&agenttypes=".$agenttypes."&terrys=".$terrys."&ranges=".$ranges."&items=".$items."&subranges=".$subranges."&dbids=".$dbids;

printf("<div style='width:90%%;height:5%%;border:0px solid silver;border-radius:2px;display:table;vertical-align:middle;'>");

printf("<form method='post' action='focusproductsmove.php?actp=rpt%s'><table style='width:100%%;font-size:13;'>",$sprt);
$sqlst="select distinct rgs from (select distinct zone_orders as rds,regions as rgs from rc_invoices union select distinct zone_orders,regions from rc_targets union select distinct zone_orders,regions from rd_saleinv order by rds) as zns";
$qry=mysqli_query($conn,$sqlst);

printf("<tr><td width=5%%><input type='text' id='inputField' value='%s' name='starts' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td><td width=1%%>-</td><td width=5%%><input type='text' id='inputField2' value='%s' name='ends' size=8 style='font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'></td>
<td width=20%%><select name='regions' style='width:95%%;font-size:13;background:#CACACA;border:1px solid #006699;border-radius:1px;font-family:calibri;color:#006699;'><option>%s</option><option>All</option>",$starts,$ends,$regions);
while($rst=mysqli_fetch_row($qry)){
printf("<option>%s</option>",$rst[0]);}	
printf("</select></td><td><input type='submit' value='Go' style='font-size:13;background:#CACACA;color:#006699;border:1.5px solid #006699;border-radius:1pxfont-size:13;'></td></form>",$starts,$ends);

printf("<td width=38%% align='right' style='color:grey;'>Search</td><td width=20%%>
<input type='text' id='srctxt' size=28 style='font-family:calibri;font-size:14;border:1px solid silver;border-radius:1.5px;' onkeyup=\"srgs(event)\"></td><td style='font-size:12;color:green;text-align:center;background:silver;border:1px solid white;' onclick=\"scopys(1)\">Copy</td></tr>");
printf("</table>");

printf("<table id='dt'  class='vh' style='width:110%%;font-size:13;border-collapse:collapse;color:#006699;'>
<tr style='background:silver;border:1px solid white;text-align:right;'>
<td style='border:1px solid white;text-align:center;'>Agent</td>
<td style='border:1px solid white;text-align:center;'>Territory</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Onion</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Cream 100g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Cream 400g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Crispy 285g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Shorties 220g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Banana 400g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Cracker 500g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Slab 90g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Jumbo Snack</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Wafer 90g</td>
<td style='border:1px solid white;text-align:center;'>Target</td>
<td style='border:1px solid white;text-align:center;'>Tikka 5g</td>
</tr>");

//////////////////Without Balance Stock///////////////////////////////

$sqlst="select magents,mterrys,onionqty,ccream,ccreams,crispyy,shrts,bncr,crcrack,cslab,snkjumb,wafr,tkka,wds from 
(select distinct agent_names as magents,territory_names as mterrys from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."') as ags 

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as onionqty from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='onion' group by agent_names,territory_names) as onis on onis.agent_names=magents and onis.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as ccream from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='cc100g' group by agent_names,territory_names) as crim on crim.agent_names=magents and crim.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as ccreams from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='cc400g' group by agent_names,territory_names) as crims on crims.agent_names=magents and crims.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as crispyy from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='crispy' group by agent_names,territory_names) as crisp on crisp.agent_names=magents and crisp.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as shrts from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='shories220' group by agent_names,territory_names) as shrts on shrts.agent_names=magents and shrts.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as bncr from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='banana400g' group by agent_names,territory_names) as bnc on bnc.agent_names=magents and bnc.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as crcrack from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='cracker500g' group by agent_names,territory_names) as crcs on crcs.agent_names=magents and crcs.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as cslab from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='slab90g' group by agent_names,territory_names) as cslb on cslb.agent_names=magents and cslb.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as snkjumb from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='jumbosnk' group by agent_names,territory_names) as snkj on snkj.agent_names=magents and snkj.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as wafr from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='wafer90g' group by agent_names,territory_names) as wfer on wfer.agent_names=magents and wfer.territory_names=mterrys

left join (select agent_names,territory_names,sum(pcs_qty)/packets_per_box as tkka from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' and focus_product='tika5g' group by agent_names,territory_names) as tkss on tkss.agent_names=magents and tkss.territory_names=mterrys

left join (select agent_names,territory_names,count(distinct(dates)) as wds from rd_saleinv ".$flt." and dates>='".$starts."' and dates<='".$ends."' group by agent_names,territory_names) as wdss on wdss.agent_names=magents and wdss.territory_names=mterrys

";

$tgv=0;
$acv=0;
$tgw=0;
$acw=0;
$odvl=0;
$rdvl=0;
$rddisc=0;
$pcalls=0;
$dbcomi=0;
$sttot=0;
$opttot=0;

$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){
$tgv=$tgv+$rst[2];
$acv=$acv+$rst[3];
$tgw=$tgw+$rst[4];
$acw=$acw+$rst[5];
$odvl=$odvl+$rst[6];
$rdvl=$rdvl+$rst[9];
$rddir=$rddir+$rst[14];
$rddisc=$rddisc+$rst[10];
$pcalls=$pcalls+$rst[12];
$dbcomi=$dbcomi+$rst[13];


if($rst[2]==0){
$pcs=0;}
else{
$pcs=$rst[3]*100/$rst[2];}

if($rst[2]==0){
$rds=0;}
else{
$rds=($rst[9]+$rst[14])*100/$rst[2];}
	
if($rst[4]==0){
$wpcs=0;}
else{
$wpcs=$rst[5]*100/$rst[4];}

printf("<tr style='border-bottom:1px solid silver;'><td>%s</td>
<td>%s</td>
<td align='center' style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center'>%s</td>
<td align='center' style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center'>%s</td>
<td align='center' style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:black'>%s</td>
<td align='center' style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center'>%s</td>
<td align='center' style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:purple'>%s</td>
<td align='center'style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:black'>%s</td>
<td align='center'style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:black'>%s</td>
<td align='center'style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:black'>%s</td>
<td align='center'style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:522109'>%s</td>
<td align='center'style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:E21092'>%s</td>
<td align='center'style='color:red' bgcolor='#DAF7A6'>%s</td>
<td align='center' style='color:E21092'>%s</td>
</tr>",
$rst[0],$rst[1],number_format($rst[13]*20,0,'.',','),number_format($rst[2],0,'.',','),number_format($rst[13]*1,0,'.',','),number_format($rst[3],0,'.',','),number_format($rst[13]*5,0,'.',','),number_format($rst[4],0,'.',','),number_format($rst[13]*10,0,'.',','),number_format($rst[5],0,'.',','),
number_format($rst[13]*20,0,'.',','),number_format($rst[6],0,'.',','),number_format($rst[13]*10,0,'.',','),number_format($rst[7],0,'.',','),number_format($rst[13]*20,0,'.',','),number_format($rst[8],0,'.',','),number_format($rst[13]*1,0,'.',','),number_format($rst[9],0,'.',','),number_format($rst[13]*20,0,'.',','),number_format($rst[10],0,'.',','),number_format($rst[13]*5,0,'.',','),number_format($rst[11],0,'.',','),number_format($rst[13]*10,0,'.',','),number_format($rst[12],0,'.',','));
}

if($tgv==0){
$pcs=100;}
else{
$pcs=$acv*100/$tgv;}
	
if($tgw==0){
$wpcs=100;}
else{
$wpcs=$acw*100/$tgw;}

printf("<tr style='border-bottom:1px solid silver;font-weight:bold;'><td>Total</td><td></td><td></td><td align='right'>%s</td><td align='right'>%s</td><td align='right'>%s</td><td align='right'bgcolor='#DAF7A6'>%s%%</td><td align='right'>%s</td><td align='right'bgcolor='#DAF7A6'>%s%%</td><td align='right'bgcolor='#D6EAF8'>%s</td><td align='right'bgcolor='#D6EAF8'>%s</td><td align='right'>%s</td><td align='right'>%s</td>
</tr></table>",number_format($tgv,0,'.',','),number_format($odvl,0,'.',','),number_format($acv,0,'.',','),number_format($acv/$tgv*100,0,'.',','),number_format($rdvl+$rddir,2,'.',','),number_format(($rdvl+$rddir)/$tgv*100,0,'.',','),number_format($opttot,0,'.',','),number_format($sttot,0,'.',','),number_format($pcalls,0,'.',','),number_format($rddisc,2,'.',','));
printf("</div>");
}
?>
</div>
</body>
</html>